import '../models/producto_model.dart';
import 'basico_model.dart';

class PedidoProductoTopping extends Basico {
  int? idPedidoProducto;
  int? idTopping;
  int? idCategoria;
  Producto? topping;

  PedidoProductoTopping({
    super.id,
    this.idPedidoProducto,
    this.idTopping,
    this.idCategoria,
    this.topping,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idPedidoProducto': idPedidoProducto,
      'idTopping': idTopping,
      'idCategoria': idCategoria,
    }..addAll(super.toJson());
  }

  Map<String, dynamic> toApi() {
    return {
      'idTopping': idTopping,
      'idCategoria': idCategoria,
      'nombreTopping': topping?.nombre ?? '',
      'precio': topping?.precio ?? 0.0,
    };
  }

  PedidoProductoTopping.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idPedidoProducto = Basico.parseInt(json['idPedidoProducto']);
    idTopping = Basico.parseInt(json['idTopping']);
    idCategoria = Basico.parseInt(json['idCategoria']);
  }
}
